Cyberduck Mountain Duck CLI

#11233 closed defect (fixed)

AWS S3 upload (backblaze-comatible S3 api) doesn't work with files larger ~100MB

Reported by: herbst Owned by: dkocher
Priority: high Milestone: 7.8.2
Component: s3 Version: 7.7.0
Severity: blocker Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description

When using the AWS-compatible backblaze S3 endpoint as in their docs, it seems that small files upload fine and fast, but large files stall. The upload never starts, there's a message about "initializing large file upload" but then nothing happens anymore. The download can't be stopped or removed, only quitting Cyberduck brings it back into a working state (file upload still fails).

Cyberduck is used as example integration app in the backblaze docs: https://help.backblaze.com/hc/en-us/articles/360047425453-Getting-Started-with-the-S3-Compatible-API

I'm not sure if that's an issue with CyberDuck, Backblaze, or their S3 integration, but since Cyberduck goes into a broken / unstoppable state there's at least something wrong here.

Change History (4)

comment:1 Changed on Nov 12, 2020 at 11:55:23 AM by herbst

Just tested with

  • the AWS SDK (no Cyberduck involved) - works fine
  • the Backblaze connection in Cyberduck - works fine

comment:3 Changed on Jan 17, 2021 at 10:37:15 AM by dkocher

  • Milestone set to 8.0
  • Owner set to dkocher
  • Status changed from new to assigned

Relates to #11547.

comment:4 Changed on Jan 19, 2021 at 10:57:35 AM by dkocher

  • Milestone changed from 8.0 to 7.8.2
  • Resolution set to fixed
  • Status changed from assigned to closed

In r50498.

Note: See TracTickets for help on using tickets.